Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing 't' as a key causes error

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 18:06:51 +0100

Philipp Stephani <[email-masked]> writes:

>> >> I think it's important that native and Elisp JSON serialisation are as
>> >> consistent as possible here;
>> >
>> > I don't think that's realistic: any change in behavior to either of
>> > these functions would be a breaking change.
>>
>> I think we should have JSON/Elisp round trips that are 100%
>> reproducible.  The current functions certainly aren't.
>
> I don't understand why that is so important. I designed the C JSON
> functions partially because I disagree with some aspects of API design
> and behavior of the Elisp functions, so they are pretty much
> incompatible on purpose. Trying to make them compatible would make the
> C functions worse.

Sorry, I was unclear -- I'm not saying the old and the new functions
should be compatible, only that there should be functions that can round
trip via JSON->Elisp->JSON and get identical results back.

Is that the case today?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no